दिलचस्प पोस्ट
__मैन__.py क्या है? क्या मुझे FileReader और BufferedReader दोनों को बंद करने की आवश्यकता है? हमें XML लेआउट का उपयोग क्यों करना चाहिए? मैं एक DOM तत्व पर सभी घटनाओं को कैसे बाँट सकता हूं? आईओएस 7 स्थिति पट्टी वापस आईओएस 6 डिफ़ॉल्ट शैली iPhone app में? पांडा डेटाफ्रेम की पंक्तियों को छोड़ने के लिए, जिसका मूल्य कुछ कॉलम में है, NaN क्या अजगर में बड़ी जेसन फाइलें लोड करने के लिए एक स्मृति कुशल और तेज तरीका है? जावा में एसिंक्रोनस आईओ? JTextField में वर्णों की संख्या को सीमित करना "शब्द-ब्रेक: ब्रेक-ऑल" बनाम "वर्ड-रैप: ब्रेक-वर्ड" सीएसएस में क्या अंतर है? बिना अनावश्यक दशमलव 0 के बिना स्ट्रिंग में फ़्लोटिंग नंबर को कैसे अच्छी तरह से प्रारूपित करें? अब हमें एक व्यक्तिगत पोस्ट कैसे प्राप्त करनी चाहिए कि / v2.4 में पदावनत है? आईफ़ोन नेविगेशन बार केवल प्रथम पृष्ठ पर छुपाएं PHP में DOMDocument क्रोम एक्सटेंशन – जीमेल के मूल संदेश को पुनः प्राप्त करना

PHP काम नहीं कर रहा है – विंडोज 7 64 बिट पर WAMP

मुझे अपने विंडोज़ 7 64 बिट पर मेरी WAMP स्थापित किया गया है। कर्ल काम नहीं कर रहा है, लेकिन फिर भी मुझे इसे WAMP ट्रे से सक्षम किया गया

मेरे पास PHP और अपाचे फ़ोल्डर दोनों के लिए php.ini में php.ini extension=php_curl.dll भी है।

विंडोज मुझे एक त्रुटि संदेश दे,

PHP स्टार्टअप: गतिशील पुस्तकालय 'c: /wamp/bin/php/php5.4.3/ext/php_curl.dll' को लोड करने में असमर्थ – आवेदन शुरू करने में विफल रहा है क्योंकि इसकी साइड-बाय-साइड कॉन्फ़िगरेशन गलत है। कृपया अधिक जानकारी के लिए एप्लिकेशन ईवेंट लॉग देखें या कमांड-लिन sxstrace.exe उपकरण का उपयोग करें। "

मैं इस समस्या को कैसे ठीक करुं?

वेब के समाधान से एकत्रित समाधान "PHP काम नहीं कर रहा है – विंडोज 7 64 बिट पर WAMP"

http://www.anindya.com/php-5-4-3-and-php-5-3-13-x64-64-bit-for-windows/ पर जाएं और curl संस्करण डाउनलोड करें जो आपके PHP से मेल खाती है "निश्चित कर्ल एक्सटेंशन:" के अंतर्गत संस्करण।

इसलिए यदि आपके पास PHP 5.3.13 है, तो "php_curl-5.3.13-VC9-x64.zip" डाउनलोड करें पहले "वीसी" संस्करण को आज़माएं फिर php_curl.dll को ext फ़ोल्डर में बदलें। यह मेरे लिए काम किया

मेरे पास एक ही सटीक समस्या थी लगभग सब कुछ कोशिश करने और स्टैक ओवरफ़्लो पर खुदाई करने के बाद, अंत में मुझे इसका कारण मिला Windows के लिए PHP 5.4.3 और PHP 5.3.13 x 64 (64 बिट) से अलग से "निश्चित कर्ल एक्सटेंशन" डाउनलोड करने का प्रयास करें

मैंने "php_curl-5.4.3-VC9-x64" डाउनलोड किया है, और यह मेरे लिए काम किया है मुझे उम्मीद है यह मदद करेगा।

मेरे लिये कार्य करता है:

  • इस लिंक पर जाएं
  • डाउनलोड करें * php_curl-5.4.3-VC9-x64.zip * "निश्चित कर्ल एक्सटेंशन:" के अंतर्गत
  • php_curl.dll फ़ाइल को ext फ़ोल्डर में बदलें।

यह मेरे लिए काम किया

मैंने खुद को इसके साथ बहुत कुछ संघर्ष किया है .. अंत में, PHP संस्करण 5.3.1 अपाचे 2.2.9 के साथ काम किया …

मुझे php5.dll लापता होने की लगातार त्रुटि मिल रही थी। इसके लिए, मैंने सभी पुरानी php.ini फाइलों को नामित कर दिया है जो कि आवश्यक नहीं हैं (WAMP फ़ोल्डर के बाहर) old_ohp.ini

त्रुटि PHP से असंबंधित है इसका अर्थ है कि आप किसी तरह अपाचे के mod_deflate पर निर्भर हैं, लेकिन अपाचे मॉड्यूल लोड नहीं है। Mod_deflate को httpd.conf में सक्षम करने या अपमानजनक पंक्ति को टिप्पणी करने की कोशिश करें (httpd.conf में DEFLATE के लिए खोजें)।

PHP कर्ल विस्तार के लिए, आपको यह सुनिश्चित करना होगा कि यह php.ini में सक्रिय है। सुनिश्चित करें कि extension_diris निर्देशिका php_curl.dll में सेट है:

extension_dir = "सी: / जो भी" और उसके बाद जोड़ें

विस्तार = php_curl.dll

इस प्रकार हैं:

  1. WAMP बंद करें (चल रहे हैं)
  2. WAMP\bin\php\<your version of PHP>
  3. फ़ाइल को संपादित करें php.ini
  4. कर्ल के लिए खोज करें, एक्सटकेशन extension=php_curl.dll
  5. WAMP\bin\Apache\<your version of Apache>\bin\
  6. फ़ाइल को संपादित करें php.ini
  7. कर्ल के लिए खोज करें, एक्सटकेशन extension=php_curl.dll
  8. दोनों को बचाएं
  9. WAMP को पुनरारंभ करें

मुझे लगता है कि कर्ल WAMP 2.2e के साथ काम नहीं करता है। मैंने आपके सभी समाधानों की कोशिश की, लेकिन यह अभी भी काम नहीं करता। मुझे पिछले संस्करण मिला, (2.2 डी) और यह काम करता है

तो बस पिछले संस्करण डाउनलोड करें: डी

खैर, बस WAMP 64-बिट की स्थापना रद्द करें और 32-बिट संस्करण के साथ जाएं यह मेरे मामले में काम किया।

इस तरह मैंने ठीक से कर्ल को लोड करने में कामयाब रहा। मेरे मामले में php ज़िप पैकेज से स्थापित किया गया था, इसलिए मुझे पाथ वातावरण चर में php निर्देशिका जोड़ना पड़ा।

सुनिश्चित करें कि आपका सिस्टम पाथ वातावरण चर उस निर्देशिका को शामिल करता है जिसमें PHP स्थापित है। अपाचे सर्वर को बंद करें और इसे एक बार फिर से चालू करें। भाग्य के साथ कर्ल काम करना शुरू कर देगा

मेरे लिए यह काम: http://www.mediafire.com/?3ay381k3cq59cm2 ext फ़ाइल PHP 5.4.3 में एक पेस्ट डाउनलोड करें

मैं win8 wamp3 php5.6 पर कर्ल काम नहीं करने के साथ समस्या थी। पुनः स्थापित करना वैम्प (x64 संस्करण जैसा कि मुझे सिस्टम जानकारी में x 64 था) ने इसे ठीक काम किया।

इसी से मेरा काम बना है

सोरेन ने किसी अन्य SO धागे से जवाब दिया – WURL के लिए कर्ल

"कहीं एक बग प्रतीत हो रहा है। अगर आप इसे 7 7 64 बिट पर अनुभव कर रहे हैं तो अपाचे एडऑन संस्करण 2.2.9 और PHP एपॉन संस्करण 5.3.1 को स्थापित करने का प्रयास करें और WAMP में उन लोगों के लिए स्विच करना और फिर कर्ल एक्सटेंशन को सक्रिय करें। मेरे लिए।"